> For the complete documentation index, see [llms.txt](https://docs-vnext.kiflo.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs-vnext.kiflo.com/developers/api-reference/subscriptions/subscribe.md).

# Subscribe

Create a new subscription on a webhook.

The payload contains the following fields:

* `eventSource`: the name of the webhook to subscribe for. Refer to the Events section to find the list of all available webhooks.
* `targetUrl`: the HTTP callback that will receive the webhook payloads.

The response contains the HTTP header `Kiflo-Webhook-SigningKey`. This is a randomly generated signing key used to sign webhook payloads.

You must store it securely on your end as it will not be returned again.

```json
{"openapi":"3.0.1","info":{"title":"Kiflo Public API v3","version":"v3"},"security":[{"oauth2":["Api"]}],"components":{"securitySchemes":{},"schemas":{"SubscriptionCreateRequestDto":{"type":"object","properties":{"eventSource":{"$ref":"#/components/schemas/EventSource"},"targetUrl":{"type":"string","description":"The HTTP endpoint that will receive the webhook payloads.\r\nMust be a publicly accessible HTTPS URL.","nullable":true}},"additionalProperties":false,"description":"Request body for creating a webhook subscription."},"EventSource":{"enum":["Unknown","ContactNew","ContactUpdate","PartnerNew","PartnerUpdate","PartnerNote","PartnerOnboardingStageUpdate","PartnerApplicationNew","PartnerApplicationAccepted","PartnerApplicationRejected","PartnerOwnerChanged","TeamMemberAdded","TeamMemberDeleted","DealNew","DealUpdate","DealApprovalRequire","DealAccept","DealRefuse","DealNote","DealScheduledRewardValidation","DealAssign","DealStageChange","LeadNew","LeadShare","LeadAccept","LeadRefuse","LeadUpdate","LeadNote","LeadAssign","LeadAbandon","LeadOwnerChanged","LeadNewFromPartnerDirectory","DealExpiration","DealExpirationReminder","RewardNew","CustomerNew","CustomerUpdate","CustomerNote","TransactionNew","TransactionUpdate","ProgramNewPartnerInLevel","PayoutNote","PayoutValidated","PayoutAccepted","PayoutPaid","PayoutNew","PayoutStatusChange","PayoutInvoiceUploaded","TaskDueToday","TaskAssigned","DealQuoteRequested","DealClosedWon","DealOwnerChanged","AssetNew","NewsNew","OnboardingNewPartnerInStage","OnboardingActionWaitingForApproval","OnboardingActionValidated","OnboardingActionInvalidated","TeamMemberCertificationExpired","TeamMemberCertificationExpirationReminder","CommentNew","MentionNew","PartnerStatusUpdated","PartnerProspectionStageUpdated","OnboardingStatusChanged","OnboardingStageStatusChanged","BusinessPlanObjectiveUpdated","PartnerAttachment","LeadAttachment","DealAttachment","CustomerAttachment","TransactionAttachment","PayoutAttachment","CollaborationAttachment","AccountMappingOverlap","CollaborationNew","CollaborationAccepted","CollaborationRefused","CollaborationAbandoned","CollaborationReopened","CollaborationConvertedToLead","CollaborationConvertedToDeal","CollaborationNote"],"type":"string"}}},"paths":{"/v3/subscriptions":{"post":{"tags":["Subscriptions"],"summary":"Subscribe","description":"Create a new subscription on a webhook.\r\n            \r\nThe payload contains the following fields:\r\n- `eventSource`: the name of the webhook to subscribe for. Refer to the Events section to find the list of all available webhooks.\r\n- `targetUrl`: the HTTP callback that will receive the webhook payloads.\r\n            \r\nThe response contains the HTTP header `Kiflo-Webhook-SigningKey`. This is a randomly generated signing key used to sign webhook payloads.\r\n            \r\nYou must store it securely on your end as it will not be returned again.","requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/SubscriptionCreateRequestDto"}},"application/json":{"schema":{"$ref":"#/components/schemas/SubscriptionCreateRequestDto"}},"text/json":{"schema":{"$ref":"#/components/schemas/SubscriptionCreateRequestDto"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/SubscriptionCreateRequestDto"}}}},"responses":{"200":{"description":"Subscription created. Check the `Kiflo-Webhook-SigningKey` response header for your signing key.","content":{"application/json":{"schema":{"type":"integer","format":"int32"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs-vnext.kiflo.com/developers/api-reference/subscriptions/subscribe.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
